Bug 189644 - Update graphics/pfstools for staging
Update graphics/pfstools for staging
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: FreeBSD ports mailing list
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2014-05-11 05:10 UTC by darius
Modified: 2014-05-22 14:20 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description darius 2014-05-11 05:10:00 UTC

Fix: 

or http://www.dons.net.au/~darius/pfstools-stagedir.diff--Ja62Goq1KHm9dp5IW4j7ruJwnwknKJGUCmP3nYZaEs6iblMK
Content-Type: text/plain; name="file.shar"
Content-Transfer-Encoding: 7bit
Content-Disposition: attachment; filename="file.shar"

# This is a shell archive.  Save it in a file, remove anything before
# this line, and then unpack it by entering "sh file".  Note, it may
# create directories; files and directories will be owned by you and
# have default permissions.
#
# This archive contains:
#
#	pfstools-stagedir.diff
#
echo x - pfstools-stagedir.diff
sed 's/^X//' >pfstools-stagedir.diff << '3c468b8a09e71da9f4ea7e8c8259c48c'
Xdiff -uNr /usr/ports/graphics/pfstools/Makefile pfstools/Makefile
X--- /usr/ports/graphics/pfstools/Makefile	2014-04-17 03:58:47.000000000 +0930
X+++ pfstools/Makefile	2014-05-11 13:07:35.215505959 +0930
X@@ -24,8 +24,7 @@
X CONFIGURE_ENV=	PKG_CONFIG_PATH="${LOCALBASE}/libdata/pkgconfig"
X CPPFLAGS+=	${PFS_CPPFLAGS}
X LDFLAGS+=	${PFS_LDFLAGS}
X-USE_AUTOTOOLS=	libtool
X-USE_GMAKE=	yes
X+USES=		gmake libtool
X USE_LDCONFIG=	yes
X USES=	pkgconfig
X
X@@ -34,46 +33,11 @@
X
X OPTIONS_DEFAULT=	TIFF
X
X-MAN1=		pfsin.1 \
X-		pfsout.1 \
X-		pfsinppm.1 \
X-		pfsinexr.1 \
X-		pfsinrgbe.1 \
X-		pfsintiff.1 \
X-		pfsoutppm.1 \
X-		pfsoutexr.1 \
X-		pfsoutffmpeg.1 \
X-		pfsinpfm.1 \
X-		pfsoutpfm.1 \
X-		pfsinmulti.1 \
X-		pfsinimgmagick.1 \
X-		pfsoutimgmagick.1 \
X-		pfsinjpeghdr.1 \
X-		pfsoutjpeghdr.1 \
X-		pfsindcraw.1 \
X-		pfsgamma.1 \
X-		pfsclamp.1 \
X-		pfstag.1 \
X-		pfssize.1 \
X-		pfsextractchannels.1 \
X-		pfspanoramic.1 \
X-		pfsrotate.1 \
X-		pfsflip.1 \
X-		pfscut.1 \
X-		pfspad.1 \
X-		pfscat.1 \
X-		pfsabsolute.1
X-MLINKS=		pfsoutppm.1 \
X-		pfsouttiff.1 \
X-		pfsoutppm.1 \
X-		pfsoutrgbe.1
X-
X-NO_STAGE=	yes
X .include <bsd.port.options.mk>
X
X .if ${PORT_OPTIONS:MNETPBM}
X CONFIGURE_ARGS+=--enable-ppm
X-LIB_DEPENDS+=	netpbm.1:${PORTSDIR}/graphics/netpbm
X+LIB_DEPENDS+=	libnetpbm.so:${PORTSDIR}/graphics/netpbm
X PLIST_SUB+=	PPM=""
X .else
X CONFIGURE_ARGS+=--disable-ppm
X@@ -84,7 +48,7 @@
X PFS_CPPFLAGS+=	${PTHREAD_CFLAGS}
X PFS_LDFLAGS+=	${PTHREAD_LIBS}
X CONFIGURE_ARGS+=--enable-openexr --with-exrdir=${LOCALBASE}/include/OpenEXR
X-LIB_DEPENDS+=	IlmImf:${PORTSDIR}/graphics/OpenEXR
X+LIB_DEPENDS+=	libIlmImf.so:${PORTSDIR}/graphics/OpenEXR
X PLIST_SUB+=	EXR=""
X .else
X CONFIGURE_ARGS+=--disable-openexr
X@@ -93,7 +57,7 @@
X
X .if ${PORT_OPTIONS:MTIFF}
X CONFIGURE_ARGS+=--enable-tiff
X-LIB_DEPENDS+=	tiff:${PORTSDIR}/graphics/tiff
X+LIB_DEPENDS+=	libtiff.so:${PORTSDIR}/graphics/tiff
X PLIST_SUB+=	TIFF=""
X .else
X CONFIGURE_ARGS+=--disable-tiff
X@@ -105,7 +69,7 @@
X
X .if ${PORT_OPTIONS:MIMAGEMAGICK}
X CONFIGURE_ARGS+=--enable-imagemagick
X-LIB_DEPENDS+=	Magick++.5:${PORTSDIR}/graphics/ImageMagick
X+LIB_DEPENDS+=	libMagick++.so:${PORTSDIR}/graphics/ImageMagick
X PLIST_SUB+=	IM=""
X .else
X CONFIGURE_ARGS+=--disable-imagemagick
Xdiff -uNr /usr/ports/graphics/pfstools/pkg-plist pfstools/pkg-plist
X--- /usr/ports/graphics/pfstools/pkg-plist	2014-01-23 01:46:56.000000000 +1030
X+++ pfstools/pkg-plist	2014-05-11 13:06:48.422484646 +0930
X@@ -40,6 +40,37 @@
X lib/libpfs-1.2.so
X lib/libpfs-1.2.so.0
X libdata/pkgconfig/pfs.pc
X+man/man1/pfsabsolute.1.gz
X+man/man1/pfscat.1.gz
X+man/man1/pfsclamp.1.gz
X+man/man1/pfscut.1.gz
X+man/man1/pfsextractchannels.1.gz
X+man/man1/pfsflip.1.gz
X+man/man1/pfsgamma.1.gz
X+man/man1/pfsin.1.gz
X+man/man1/pfsindcraw.1.gz
X+man/man1/pfsinexr.1.gz
X+man/man1/pfsinimgmagick.1.gz
X+man/man1/pfsinjpeghdr.1.gz
X+man/man1/pfsinmulti.1.gz
X+man/man1/pfsinpfm.1.gz
X+man/man1/pfsinppm.1.gz
X+man/man1/pfsinrgbe.1.gz
X+man/man1/pfsintiff.1.gz
X+man/man1/pfsout.1.gz
X+man/man1/pfsoutexr.1.gz
X+man/man1/pfsoutffmpeg.1.gz
X+man/man1/pfsoutimgmagick.1.gz
X+man/man1/pfsoutjpeghdr.1.gz
X+man/man1/pfsoutpfm.1.gz
X+man/man1/pfsoutppm.1.gz
X+man/man1/pfsoutrgbe.1.gz
X+man/man1/pfsouttiff.1.gz
X+man/man1/pfspad.1.gz
X+man/man1/pfspanoramic.1.gz
X+man/man1/pfsrotate.1.gz
X+man/man1/pfssize.1.gz
X+man/man1/pfstag.1.gz
X %%OCTAVE%%@cwd %%OCTAVE_BASE%%
X %%OCTAVE%%libexec/octave/%%OCTAVE_VERSION%%/site/oct/%%BUILD%%/pfstools/pfsclose.oct
X %%OCTAVE%%libexec/octave/%%OCTAVE_VERSION%%/site/oct/%%BUILD%%/pfstools/pfsget.oct
3c468b8a09e71da9f4ea7e8c8259c48c
exit
Comment 1 dfilter freebsd_committer 2014-05-22 14:16:45 UTC
Author: bsam
Date: Thu May 22 13:16:37 2014
New Revision: 354835
URL: http://svnweb.freebsd.org/changeset/ports/354835
QAT: https://qat.redports.org/buildarchive/r354835/

Log:
  graphics/pfstools: stagify and more
  
  . stagify;
  . use new LIB_DEPENDS syntax;
  . incorporate USES=gmake libtool.
  
  While here:
  . add LICENSE (LGPL21);
  . bump PORTREVISION.
  
  PR:		ports/189644
  Submitted by:	"Daniel O'Connor" <darius@dons.net.au> (maintainer)

Modified:
  head/graphics/pfstools/Makefile
  head/graphics/pfstools/pkg-plist

Modified: head/graphics/pfstools/Makefile
==============================================================================
--- head/graphics/pfstools/Makefile	Thu May 22 12:55:52 2014	(r354834)
+++ head/graphics/pfstools/Makefile	Thu May 22 13:16:37 2014	(r354835)
@@ -3,13 +3,15 @@
 
 PORTNAME=	pfstools
 PORTVERSION=	1.6.4
-PORTREVISION=	15
+PORTREVISION=	16
 CATEGORIES=	graphics
 MASTER_SITES=	SF
 
 MAINTAINER=	darius@dons.net.au
 COMMENT=	Tools for manipulating HDR images and video frames
 
+LICENSE=	LGPL21
+
 RUN_DEPENDS+=	bash:${PORTSDIR}/shells/bash
 
 PFS_CPPFLAGS=	-I${LOCALBASE}/include
@@ -24,8 +26,7 @@ CONFIGURE_ARGS=	--disable-jpeghdr --disa
 CONFIGURE_ENV=	PKG_CONFIG_PATH="${LOCALBASE}/libdata/pkgconfig"
 CPPFLAGS+=	${PFS_CPPFLAGS}
 LDFLAGS+=	${PFS_LDFLAGS}
-USE_AUTOTOOLS=	libtool
-USE_GMAKE=	yes
+USES=		gmake libtool
 USE_LDCONFIG=	yes
 USES=	pkgconfig
 
@@ -34,46 +35,11 @@ OCTAVE_DESC=	Compile octave interface fu
 
 OPTIONS_DEFAULT=	TIFF
 
-MAN1=		pfsin.1 \
-		pfsout.1 \
-		pfsinppm.1 \
-		pfsinexr.1 \
-		pfsinrgbe.1 \
-		pfsintiff.1 \
-		pfsoutppm.1 \
-		pfsoutexr.1 \
-		pfsoutffmpeg.1 \
-		pfsinpfm.1 \
-		pfsoutpfm.1 \
-		pfsinmulti.1 \
-		pfsinimgmagick.1 \
-		pfsoutimgmagick.1 \
-		pfsinjpeghdr.1 \
-		pfsoutjpeghdr.1 \
-		pfsindcraw.1 \
-		pfsgamma.1 \
-		pfsclamp.1 \
-		pfstag.1 \
-		pfssize.1 \
-		pfsextractchannels.1 \
-		pfspanoramic.1 \
-		pfsrotate.1 \
-		pfsflip.1 \
-		pfscut.1 \
-		pfspad.1 \
-		pfscat.1 \
-		pfsabsolute.1
-MLINKS=		pfsoutppm.1 \
-		pfsouttiff.1 \
-		pfsoutppm.1 \
-		pfsoutrgbe.1
-
-NO_STAGE=	yes
 .include <bsd.port.options.mk>
 
 .if ${PORT_OPTIONS:MNETPBM}
 CONFIGURE_ARGS+=--enable-ppm
-LIB_DEPENDS+=	netpbm.1:${PORTSDIR}/graphics/netpbm
+LIB_DEPENDS+=	libnetpbm.so:${PORTSDIR}/graphics/netpbm
 PLIST_SUB+=	PPM=""
 .else
 CONFIGURE_ARGS+=--disable-ppm
@@ -84,7 +50,7 @@ PLIST_SUB+=	PPM="@comment "
 PFS_CPPFLAGS+=	${PTHREAD_CFLAGS}
 PFS_LDFLAGS+=	${PTHREAD_LIBS}
 CONFIGURE_ARGS+=--enable-openexr --with-exrdir=${LOCALBASE}/include/OpenEXR
-LIB_DEPENDS+=	IlmImf:${PORTSDIR}/graphics/OpenEXR
+LIB_DEPENDS+=	libIlmImf.so:${PORTSDIR}/graphics/OpenEXR
 PLIST_SUB+=	EXR=""
 .else
 CONFIGURE_ARGS+=--disable-openexr
@@ -93,7 +59,7 @@ PLIST_SUB+=	EXR="@comment "
 
 .if ${PORT_OPTIONS:MTIFF}
 CONFIGURE_ARGS+=--enable-tiff
-LIB_DEPENDS+=	tiff:${PORTSDIR}/graphics/tiff
+LIB_DEPENDS+=	libtiff.so:${PORTSDIR}/graphics/tiff
 PLIST_SUB+=	TIFF=""
 .else
 CONFIGURE_ARGS+=--disable-tiff
@@ -105,7 +71,7 @@ PLIST_SUB+=	QT="@comment "
 
 .if ${PORT_OPTIONS:MIMAGEMAGICK}
 CONFIGURE_ARGS+=--enable-imagemagick
-LIB_DEPENDS+=	Magick++.5:${PORTSDIR}/graphics/ImageMagick
+LIB_DEPENDS+=	libMagick++.so:${PORTSDIR}/graphics/ImageMagick
 PLIST_SUB+=	IM=""
 .else
 CONFIGURE_ARGS+=--disable-imagemagick

Modified: head/graphics/pfstools/pkg-plist
==============================================================================
--- head/graphics/pfstools/pkg-plist	Thu May 22 12:55:52 2014	(r354834)
+++ head/graphics/pfstools/pkg-plist	Thu May 22 13:16:37 2014	(r354835)
@@ -40,6 +40,37 @@ lib/libpfs-1.2.la
 lib/libpfs-1.2.so
 lib/libpfs-1.2.so.0
 libdata/pkgconfig/pfs.pc
+man/man1/pfsabsolute.1.gz
+man/man1/pfscat.1.gz
+man/man1/pfsclamp.1.gz
+man/man1/pfscut.1.gz
+man/man1/pfsextractchannels.1.gz
+man/man1/pfsflip.1.gz
+man/man1/pfsgamma.1.gz
+man/man1/pfsin.1.gz
+man/man1/pfsindcraw.1.gz
+man/man1/pfsinexr.1.gz
+man/man1/pfsinimgmagick.1.gz
+man/man1/pfsinjpeghdr.1.gz
+man/man1/pfsinmulti.1.gz
+man/man1/pfsinpfm.1.gz
+man/man1/pfsinppm.1.gz
+man/man1/pfsinrgbe.1.gz
+man/man1/pfsintiff.1.gz
+man/man1/pfsout.1.gz
+man/man1/pfsoutexr.1.gz
+man/man1/pfsoutffmpeg.1.gz
+man/man1/pfsoutimgmagick.1.gz
+man/man1/pfsoutjpeghdr.1.gz
+man/man1/pfsoutpfm.1.gz
+man/man1/pfsoutppm.1.gz
+man/man1/pfsoutrgbe.1.gz
+man/man1/pfsouttiff.1.gz
+man/man1/pfspad.1.gz
+man/man1/pfspanoramic.1.gz
+man/man1/pfsrotate.1.gz
+man/man1/pfssize.1.gz
+man/man1/pfstag.1.gz
 %%OCTAVE%%@cwd %%OCTAVE_BASE%%
 %%OCTAVE%%libexec/octave/%%OCTAVE_VERSION%%/site/oct/%%BUILD%%/pfstools/pfsclose.oct
 %%OCTAVE%%libexec/octave/%%OCTAVE_VERSION%%/site/oct/%%BUILD%%/pfstools/pfsget.oct
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 2 Boris Samorodov freebsd_committer 2014-05-22 14:17:15 UTC
State Changed
From-To: open->closed

Committed, thanks!